package com.iformall.mapper;

import java.util.*;
import com.iformall.common.CommonMapper;
import org.apache.ibatis.annotations.Param;
import com.iformall.domain.vo.WxCouponCarVo;
import com.iformall.domain.po.WxCouponCar;

public interface WxCouponCarMapper extends CommonMapper<WxCouponCar, String> {

	List<WxCouponCar> findList(WxCouponCar wxCouponCar);
	
	
	Integer findTemplateAmtCount(Long templateId);

	Integer findTemplateAvailCount(Long templateId);

    Integer findAmtCountForCouponOrderTakeOff(Long templateId);

	WxCouponCarVo findVoDetail(@Param("id")Long id);
}
